## masakari 17.0.0

=== requirements.txt ===
alembic>=1.8.0 # MIT
iso8601>=0.1.11 # MIT
jsonschema>=3.2.0 # MIT
keystoneauth1>=3.4.0 # Apache-2.0
keystonemiddleware>=4.17.0 # Apache-2.0
WebOb>=1.7.1 # MIT
microversion-parse>=0.2.1 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.context>=2.19.2 # Apache-2.0
oslo.db>=4.44.0 # Apache-2.0
oslo.messaging>=14.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.middleware>=3.31.0 # Apache-2.0
oslo.policy>=3.6.0 # Apache-2.0
oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
oslo.versionedobjects>=1.31.2 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
python-novaclient>=9.1.0 # Apache-2.0
stevedore>=1.20.0 # Apache-2.0
SQLAlchemy>=1.2.19 # MIT
SQLAlchemy-Utils>=0.33.10 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
tooz>=2.10.1 # Apache-2.0

=== debian/changelog ===
masakari (17.0.0-0ubuntu1) noble; urgency=medium

  * New upstream release for OpenStack Caracal.

 -- James Page <james.page@ubuntu.com>  Fri, 05 Apr 2024 14:31:53 +0100

masakari (17.0.0~rc1-0ubuntu1) noble; urgency=medium

  * New upstream release candidate for OpenStack Caracal.
  * d/p/py312-compat.patch: Drop, included upstream.

 -- Jadon Naas <jadon.naas@canonical.com>  Thu, 21 Mar 2024 08:08:13 +0000

masakari (16.0.0+git2024011916.229bc787-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream snapshot for OpenStack Caracal.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fix-compatability-with-new-oslo.messaging.patch: Drop, included
    upstream.
  * d/p/py312-compat.patch: Fix test that fails under Python 3.12 due to
    syntax error in test code.

 -- James Page <james.page@ubuntu.com>  Fri, 19 Jan 2024 16:33:30 +0000

masakari (16.0.0-0ubuntu2) mantic; urgency=medium

  * d/p/install-missing-db-files.patch: Install missing db files, including
    masakari/db/sqlalchemy/migrate_repo/ files.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 05 Oct 2023 12:52:42 -0400

masakari (16.0.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.
  * d/p/fix-compatability-with-new-oslo.messaging.patch: Cherry-picked
    from upstream to align with new oslo.messaging.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Oct 2023 13:24:34 -0400

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-alembic (>= 1.8.0),
 python3-babel (>= 2.3.4),
 python3-coverage (>= 4.0),
 python3-ddt (>= 1.0.1),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-pep8 (>= 1.5.7),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.10.1),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
Homepage: https://opendev.org/openstack/masakari
Testsuite: autopkgtest-pkg-python

Package: masakari-api
Architecture: all
Section: python
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains common files.

Package: masakari-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari documentation.

Package: masakari-engine
Architecture: all
Section: python
Depends:
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Engine
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari Engine.

Package: python3-masakari
Architecture: all
Depends:
 masakari-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 3.6.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-tooz (>= 2.10.1),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(\d.*)\.tar\.gz

## masakari 18.0.0

=== debian/changelog ===
masakari (18.0.0-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090435).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 16:12:45 +0100

masakari (18.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Oct 2024 16:13:50 +0200

masakari (18.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 20 Sep 2024 17:19:56 +0200

masakari (18.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 17 Sep 2024 09:33:46 +0200

masakari (17.0.0-3) unstable; urgency=medium

  * Removed python3-migrate from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Jul 2024 04:45:40 +0200

masakari (17.0.0-2) unstable; urgency=medium

  * Removed extraneous python3-mock build dependency (Closes: #1071637).

 -- Thomas Goirand <zigo@debian.org>  Sun, 02 Jun 2024 13:14:27 +0200

masakari (17.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 12:14:54 +0200

masakari (17.0.0~rc1-1) experimental; urgency=medium

  * Add close-on-exec{2,} = true in uwsgi config.
  * New upstream release.
  * Add alembic as (build-)depends.
  * Drop Fix_compatability_with_new_oslo.messaging.patch and sqla2.0-*
    patches, applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Thu, 14 Mar 2024 22:05:45 +0100

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testresources,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari.git
Homepage: https://opendev.org/openstack/masakari

Package: masakari-api
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-masakari (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari.

Package: masakari-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the documentation.

Package: masakari-engine
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: python3-masakari
Architecture: all
Section: python
Depends:
 alembic,
 python3-iso8601,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Python files and libraries.

## masakari 18.0.0+git2025030311.7b120e0

=== debian/changelog ===
masakari (18.0.0+git2025030311.7b120e0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 04 Mar 2025 15:37:17 +0000

masakari (18.0.0+git2025011509.7b120e0-0ubuntu1) plucky; urgency=medium

  [ James Page ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.

  [ Guillaume Boutry ]
  * New upstream release for OpenStack Epoxy.
  * d/control: Remove unnecessary dependencies.
  * d/control: Align (Build-)Depends with upstream.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Tue, 21 Jan 2025 15:50:04 +0000

masakari (18.0.0-0ubuntu1) oracular; urgency=medium

  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Thu, 03 Oct 2024 10:27:16 +0100

masakari (18.0.0~rc1-0ubuntu1) oracular; urgency=medium

  [ James Page ]
  * d/gbp.conf: upstream-branch -> upstream-dalmatian.

  [ Myles Penner ]
  * New upstream release candidate for OpenStack Dalmatian.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 26 Sep 2024 09:26:30 +0100

masakari (17.0.0+git2024080715.d6bd0ae-0ubuntu1) oracular; urgency=medium

  * New upstream snapshot for OpenStack Dalmatian. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 15:24:18 +0100

## masakari 19.0.0~rc1

=== debian/changelog ===
masakari (19.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 15:35:05 +0100

masakari (19.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 20 Mar 2025 21:11:35 +0100

## masakari 19.0.0

=== requirements.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 oslo.i18n>=3.15.3 # Apache-2.0
 oslo.log>=3.36.0 # Apache-2.0
 oslo.middleware>=3.31.0 # Apache-2.0
-oslo.policy>=3.6.0 # Apache-2.0
+oslo.policy>=4.5.0 # Apache-2.0
 oslo.service!=1.28.1,>=1.24.0 # Apache-2.0
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0

=== debian/changelog ===
masakari (19.0.0-0ubuntu1) plucky; urgency=medium

  * d/watch: Track Epoxy series releases.
  * New upstream release for OpenStack Epoxy.

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Thu, 03 Apr 2025 21:53:16 +0200

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Corey Bryant <corey.bryant@canonical.com>
Build-Depends:
 apache2-dev,
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
Build-Depends-Indep:
 crudini,
 python3-alembic (>= 1.8.0),
 python3-babel (>= 2.3.4),
 python3-ddt (>= 1.0.1),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-openstacksdk (>= 0.35.0),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-oslosphinx (>= 4.7.0),
 python3-oslotest (>= 1:3.2.0),
 python3-pbr (>= 2.0.0),
 python3-pep8 (>= 1.5.7),
 python3-psycopg2 (>= 2.8),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-sphinxcontrib.apidoc (>= 0.2.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stestr (>= 1.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-taskflow (>= 2.16.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-tooz (>= 2.10.1),
 python3-webob (>= 1:1.7.1),
 subunit,
 testrepository,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/masakari
Homepage: https://opendev.org/openstack/masakari
Testsuite: autopkgtest-pkg-python

Package: masakari-api
Architecture: all
Section: python
Depends:
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Section: python
Depends:
 adduser,
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Common Files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains common files.

Package: masakari-doc
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Recommends:
 libjs-jquery,
Description: Virtual Machine High Availability (VMHA) for OpenStack - Documentation
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari documentation.

Package: masakari-engine
Architecture: all
Section: python
Depends:
 python3-masakari (= ${source:Version}),
 ${misc:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Engine
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Masakari Engine.

Package: python3-masakari
Architecture: all
Depends:
 masakari-common (= ${source:Version}),
 python3-babel (>= 2.3.4),
 python3-iso8601 (>= 0.1.11),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.4.0),
 python3-keystonemiddleware (>= 4.17.0),
 python3-microversion-parse (>= 0.2.1),
 python3-novaclient (>= 2:9.1.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.context (>= 1:2.19.2),
 python3-oslo.db (>= 4.44.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 14.1.0),
 python3-oslo.middleware (>= 3.31.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.service (>= 1.24.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslo.versionedobjects (>= 1.31.2),
 python3-pbr (>= 2.0.0),
 python3-sqlalchemy (>= 1.2.19),
 python3-sqlalchemy-utils (>= 0.33.10),
 python3-stevedore (>= 1:1.20.0),
 python3-taskflow (>= 2.16.0),
 python3-tooz (>= 2.10.1),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: Virtual Machine High Availability (VMHA) for OpenStack - Python 3
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides
 API service for manage and control the automated rescue mechanism.
 .
 This package contains the Python 3 module.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(19\.\d.*)\.tar\.gz

## masakari 19.0.0+git2025070714.d75d216

=== debian/changelog ===
masakari (19.0.0+git2025070714.d75d216-0ubuntu2) questing; urgency=medium

  * Migrate to WSGI endpoint. (LP: #2116155)
  * d/masakari-api-wsgi: New executable WSGI wrapper exporting
    masakari.wsgi.api:application.
  * d/masakari-api.install: Install wrapper as /usr/bin/masakari-api-wsgi.
  * d/masakari-api.conf: Point WSGIScriptAlias / to 
    /usr/bin/masakari-api-wsgi.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 19 Aug 2025 13:34:31 -0700

masakari (19.0.0+git2025070714.d75d216-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 18 Jul 2025 15:14:35 -0700

## masakari 20.0.0~rc1

=== debian/changelog ===
masakari (20.0.0~rc1-2~bpo13+1) UNRELEASED; urgency=medium

  * Rebuilt by bop.

 -- Jenkins <jenkins@trixie-flamingo.debian.net>  Mon, 29 Sep 2025 08:22:01 +0000

masakari (20.0.0~rc1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 29 Sep 2025 10:01:00 +0200

masakari (20.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Standards-Version: 4.7.2.

 -- Thomas Goirand <zigo@debian.org>  Tue, 16 Sep 2025 08:36:53 +0200

masakari (19.0.0-3) unstable; urgency=medium

  * Fix uwsgi config.

 -- Thomas Goirand <zigo@debian.org>  Sat, 12 Jul 2025 10:56:25 +0200

masakari (19.0.0-2) unstable; urgency=medium

  * export OS_OSLO_MESSAGING_RABBIT__PROCESSNAME for all daemons.

 -- Thomas Goirand <zigo@debian.org>  Fri, 11 Jul 2025 14:12:22 +0200

masakari (19.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Apr 2025 13:41:39 +0200

## masakari 20.0.0

=== requirements.txt ===
--- 
+++ 
@@ -1,5 +1,8 @@
+# Requirements lower bounds listed here are our best effort to keep them up to
+# date but we do not test them so no guarantee of having them all correct. If
+# you find any incorrect lower bounds, let us know or propose a fix.
+
 alembic>=1.8.0 # MIT
-iso8601>=0.1.11 # MIT
 jsonschema>=3.2.0 # MIT
 keystoneauth1>=3.4.0 # Apache-2.0
 keystonemiddleware>=4.17.0 # Apache-2.0
@@ -20,7 +23,7 @@
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0
-SQLAlchemy>=1.2.19 # MIT
+SQLAlchemy>=1.4.0 # MIT
 SQLAlchemy-Utils>=0.33.10 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
 tooz>=2.10.1 # Apache-2.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.2.1 # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

# releasenotes
reno>=3.1.0 # Apache-2.0

# PDF Docs
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
masakari (20.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 01 Oct 2025 22:05:43 +0200

=== debian/control ===
Source: masakari
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 po-debconf,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 alembic,
 python3-coverage,
 python3-ddt,
 python3-hacking,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-openstacksdk,
 python3-os-api-ref,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.versionedobjects,
 python3-oslotest,
 python3-pbr,
 python3-psycopg2,
 python3-pymysql,
 python3-requests-mock,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stestr,
 python3-stevedore,
 python3-taskflow,
 python3-testscenarios,
 python3-testtools,
 python3-tooz,
 python3-webob,
 subunit,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/openstack-team/services/masakari
Vcs-Git: https://salsa.debian.org/openstack-team/services/masakari.git
Homepage: https://opendev.org/openstack/masakari

Package: masakari-api
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 python3-openstackclient,
 python3-pastescript,
 q-text-as-data,
 uwsgi-plugin-python3,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: masakari-common
Architecture: all
Depends:
 adduser,
 dbconfig-common,
 debconf,
 python3-masakari (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - common files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains common files for Masakari.

Package: masakari-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - doc
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the documentation.

Package: masakari-engine
Architecture: all
Depends:
 adduser,
 masakari-common (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - API Server
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Masakari API Server.

Package: python3-masakari
Architecture: all
Section: python
Depends:
 alembic,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-keystonemiddleware,
 python3-microversion-parse,
 python3-novaclient,
 python3-oslo.config,
 python3-oslo.context,
 python3-oslo.db,
 python3-oslo.i18n,
 python3-oslo.log,
 python3-oslo.messaging,
 python3-oslo.middleware,
 python3-oslo.policy,
 python3-oslo.service,
 python3-oslo.upgradecheck,
 python3-oslo.utils,
 python3-oslo.versionedobjects,
 python3-pbr,
 python3-sqlalchemy,
 python3-sqlalchemy-utils,
 python3-stevedore,
 python3-taskflow,
 python3-tooz,
 python3-webob,
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Virtual Machine High Availability (VMHA) - Python files
 Masakari provides Virtual Machine High Availability (VMHA) service for
 OpenStack clouds by automatically recovering the KVM-based Virtual
 Machine(VM)s from failure events such as VM process down, provisioning
 process down, and nova-compute host failure. It also provides API service for
 manage and control the automated rescue mechanism.
 .
 This package contains the Python files and libraries.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://opendev.org/openstack/masakari.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf masakari.sqlite doc/source/_static/*.sample debian/po
	rm -f debian/masakari-api.postinst debian/masakari-api.config debian/masakari-common.postinst debian/masakari-common.config debian/masakari-common.postrm
	rm -rf build .stestr *.egg-info debian/*.templates
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func masakari-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_postrm masakari-common.postrm
	pkgos-merge-templates masakari-api masakari endpoint
	pkgos-merge-templates masakari-common masakari db rabbit ksat

override_dh_auto_test:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --root=debian/tmp --install-layout=deb ; \
	done

	rm -rf $(CURDIR)/debian/tmp/usr/etc

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'masakari\.tests\.unit\.(?!test_hacking\.HackingTestCase\.test_no_os_popen|objects\.test_objects\.TestObjectVersions\.test_versions)'
endif

	# Generate the masakari.conf config
	mkdir -p $(CURDIR)/debian/masakari-common/usr/share/masakari-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf \
		--wrap-width 140 \
		--namespace keystonemiddleware.auth_token
		--namespace masakari.conf \
		--namespace oslo.db \
		--namespace oslo.db.concurrency \
		--namespace oslo.log \
		--namespace oslo.messaging \
		--namespace oslo.middleware \
		--namespace oslo.policy \
		--namespace oslo.service.service \
		--namespace oslo.service.wsgi \
		--namespace oslo.versionedobjects
	pkgos-readd-keystone-authtoken-missing-options $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf keystone_authtoken masakari

	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslo-config-generator \
		--output-file $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari-custom-recovery-methods.conf \
		--wrap-width 140 \
		--namespace customized_recovery_flow_opts

	# Same with policy.conf
	mkdir -p $(CURDIR)/debian/masakari-common/etc/masakari/policy.d
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python3/dist-packages oslopolicy-sample-generator \
		--output-file $(CURDIR)/debian/masakari-common/etc/masakari/policy.d/00_default_policy.yaml \
		--format yaml \
		--namespace masakari

	# Comment out deprecated policies
	sed -i 's/^"/#"/' $(CURDIR)/debian/masakari-common/etc/masakari/policy.d/00_default_policy.yaml

	# Use the policy.d folder
	pkgos-fix-config-default $(CURDIR)/debian/masakari-common/usr/share/masakari-common/masakari.conf oslo_policy policy_dirs /etc/masakari/policy.d

	dh_install
	rm -rf $(CURDIR)/debian/tmp/usr/etc
	dh_missing --fail-missing

#	# Installing the other config files.
#	for i in api-paste.ini ; do \
#		install -D -m 0664 etc/masakari/$$i $(CURDIR)/debian/masakari-common/usr/share/masakari-common/$$i ; \
#	done

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. PYTHON=python3 python3 -m sphinx -b html doc/source $(CURDIR)/debian/masakari-doc/usr/share/doc/masakari-doc/html
	dh_sphinxdoc
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: unittests
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr needs-root

=== debian/watch ===
version=3
opts="uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/masakari/tags .*/(\d[brc\d\.]+)\.tar\.gz

## masakari 20.0.0+git20260114.33.ff7cbae

=== requirements.txt ===
--- 
+++ 
@@ -20,6 +20,8 @@
 oslo.upgradecheck>=1.3.0 # Apache-2.0
 oslo.utils>=4.7.0 # Apache-2.0
 oslo.versionedobjects>=1.31.2 # Apache-2.0
+PasteDeploy>=1.5.0 # MIT
+Paste>=2.0.2 # MIT
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 python-novaclient>=9.1.0 # Apache-2.0
 stevedore>=1.20.0 # Apache-2.0

=== debian/changelog ===
masakari (20.0.0+git20260114.33.ff7cbae-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/rules: enable sphinxdoc to build documentation
  * New upstream version 20.0.0+git20260114.33.ff7cbae
  * d/patches/*: refresh patches
  * New upstream snapshot from ff7cbaeccd09499465467cad8a8f594000efe733
    for OpenStack Gazpacho. (LP: #2137590)

 -- Myles Penner <myles.penner@canonical.com>  Wed, 21 Jan 2026 09:13:34 -0800

masakari (20.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Myles Penner <myles.penner@canonical.com>  Wed, 01 Oct 2025 09:40:22 -0700

masakari (20.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 19 Sep 2025 14:18:36 -0700

=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

export PYBUILD_NAME=masakari

SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

PYTHON3S:=$(shell py3versions -vr)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --with sphinxdoc --with apache2,python3 --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_install:
	pkgos-dh_auto_install --no-py2
	rm -rf $(CURDIR)/debian/python3-masakari/usr/etc
	PYTHONPATH=$(CURDIR) oslopolicy-sample-generator --config-file=etc/masakari/masakari-policy-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakari/masakari-config-generator.conf
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=etc/masakari/masakari-customized-recovery-flow-config-generator.conf
	cp etc/masakari/masakari.conf.sample etc/masakari/masakari.conf
	cp etc/masakari/masakari-custom-recovery-methods.conf.sample etc/masakari/masakari-custom-recovery-methods.conf
	crudini --set $(CURDIR)/etc/masakari/masakari.conf database connection sqlite:////var/lib/masakari/masakari.sqlite
	dh_install
	dh_missing --fail-missing

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) pkgos-dh_auto_test --no-py2
endif

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=pybuild
	rm -rf doc/build/* doc/source/api doc/.autogenerated debian/doctrees

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b man -d debian/doctrees doc/source doc/build/man
	PYTHONPATH=$(CURDIR) sphinx-build -b html -d debian/doctrees doc/source doc/build/html
endif

override_dh_auto_install:
	echo "Do nothing..."

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/masakari/ masakari-(\d{1,2}\.\d.*)\.tar\.gz
